# H245_ConferenceCommand Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_broadcastMyLogicalChannel, e_cancelBroadcastMyLogicalChannel, e_makeTerminalBroadcaster, e_cancelMakeTerminalBroadcaster, e_sendThisSource, e_cancelSendThisSource, e_dropConference, e_substituteConferenceIDCommand }

## Public Member Functions

| H245_ConferenceCommand (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_LogicalChannelNumber & ()
| operator const H245_LogicalChannelNumber & () const
| operator H245_TerminalLabel & ()
| operator const H245_TerminalLabel & () const
| operator H245_SubstituteConferenceIDCommand & ()
| operator const H245_SubstituteConferenceIDCommand & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_ConferenceCommand::Choices

Enumerator:

  e_broadcastMyLogicalChannel |
  e_cancelBroadcastMyLogicalChannel |
  e_makeTerminalBroadcaster |
  e_cancelMakeTerminalBroadcaster |
  e_sendThisSource |
  e_cancelSendThisSource |
  e_dropConference |
  e_substituteConferenceIDCommand |

## Constructor & Destructor Documentation

H245_ConferenceCommand::H245_ConferenceCommand | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_ConferenceCommand::operator H245_LogicalChannelNumber & | ( |  | ) |

H245_ConferenceCommand::operator const H245_LogicalChannelNumber & | ( |  | ) | const

H245_ConferenceCommand::operator H245_TerminalLabel & | ( |  | ) |

H245_ConferenceCommand::operator const H245_TerminalLabel & | ( |  | ) | const

H245_ConferenceCommand::operator H245_SubstituteConferenceIDCommand & | ( |  | ) |

H245_ConferenceCommand::operator const H245_SubstituteConferenceIDCommand & | ( |  | ) | const

PBoolean H245_ConferenceCommand::CreateObject | ( |  | ) |

PObject* H245_ConferenceCommand::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h